version 1.4.0:

2026-01-12  Brian Lindholm
	* README:  Add missing description for pdfbw4.  Add URL to project
	website.

2026-01-06  Brian Lindholm
	* */*.c:  Copious changes to make formatting more consistent and
	compact.

2026-01-04  Brian Lindholm
	* imageutils/pngstrip.c:  Improve handling of repeated options.

2026-01-01  Brian Lindholm
	* */*:  Add 2026 copyright dates in multiple places.

2025-12-27  Brian Lindholm
	* */filedate.*:  Add the -U option to print UTC times instead of local
	times.

2025-11-13  Brian Lindholm
	* extra/*.in; scripts/*.in:  Harden all bash scripts against temporary
	directories with space characters in the filename.

2025-10-25  Brian Lindholm
	* scripts/*tarcat.in:  Use sys.exit() instead of exit(), per Python
	standard practice.

2025-10-23  Brian Lindholm
	* extra/opt-pdf.in, scripts/*.in:  Extensive changes to 1-line "if"
	statements in Python scripts to make code more compact.

2025-10-22  Brian Lindholm
	* autoconf/configure.ac:  Remove checks for endianness, byteswap.h,
	stdalign.h, and fseeko.  They are no longer used.  Add a check for
	optipng.

	* extra/opt-pdf.1, scripts/*.1:  Add notes about using the -T option
	for improved debugging information in Python scripts.

2025-10-21  Brian Lindholm
	* extra/opt-pdf.in, scripts/*.in:  Suppress usage information in
	Python scripts if file lists received via the -f or -p option are
	empty.

2025-10-18  Brian Lindholm
	* LICENSES:  Remove references to blake2b routines, as they are no
	longer used.

	* scripts/filehash.in:  New Python-based version of filehash.

	* littleutils/various:  Remove all files associated with the C-based
	filehash utility.  Move the manpage to scripts/.

	* autoconf/configure.ac:  Copious changes to remove references to m4/
	and repeats/.  Always require perl and python3.

	* m4/*:  Delete everything.

	* repeats/*:  Delete everything except repeats.[pl,py], which are
	being moved to scripts/.  Rename repeats.py to repeats.

	* scripts/notabs.in, scripts/notrail.in, scripts/opt-gif.in,
	scripts/opt-jpg.in, scripts/opt-png.in, scripts/recomp-jpg.in,
	scripts/rot-jpg.in, extra/opt-pdf.in:  Convert to python-based
	scripts.

	* autoconf/configure.ac, README:  Change package version to 1.4.0.

version 1.2.9:

2025-10-25  Brian Lindholm
	* littleutils/fileown.c:  Print "uid:gid" instead of "uid.gid", as
	expected by more recent versions of chown.

2025-10-20  Brian Lindholm
	* autoconf/configure.ac, README:  Change package version to 1.2.9.

	* imageutils/imagsize.c:  Read all possible JPEG SOFx markers.

version 1.2.8:

2025-09-19  Brian Lindholm
	* imageutils/jpgcom.c imageutils/imagsize.c:  Use posix_fadvise's
	POSIX_FADV_RANDOM to disable readahead.

2025-08-20  Brian Lindholm
	* repeats/repeats.py.in:  Use posix_fadvise's POSIX_FADV_RANDOM to
	disable readahead.  This can significantly reduce execution time and
	RAM consumption by the page cache when a large number of small files
	are being scanned for duplicates.

2025-08-02  Brian Lindholm
	* extra/pdfbw4.in:  Add logic to automatically compute DPI from input
	file when possible.

2025-07-27  Brian Lindholm
	* extra/pren.*, scripts/lcuc.*:  Add the -g option to use "git mv" in
	place of perl's internal "rename" function.

2025-07-21  Brian Lindholm
	* repeats/repeats.p?.in:  Use inode only instead of device & inode
	when only a single devices is being scanned.

2025-07-03  Brian Lindholm
	* repeats/repeats.py.in:  Handle leading "./" in filepaths more
	consistently.

2025-06-20  Brian Lindholm
	* repeats/repeats.p?.in:  Consolidate filedev and filenode into
	filedevnode during the file search to improve performance when dealing
	with large numbers of files.

2025-06-14  Brian Lindholm
	* repeats/repeats.py.in:  Use ternary operators, list comprehension,
	and collections.Counter to make things more concise.

2025-05-05  Brian Lindholm
	* autoconf/grab_scripts.sh:  Use --prefer-family=IPv4.

2025-04-26  Brian Lindholm
	* repeats/repeats.p[ly].in:  Search for unique filesizes AFTER
	removing hardlinks.  This occasionally permits a few more files to be
	skipped.  Also, the file-finding routine in repeats.py was reworked to
	use os.scandir() for improved speed.

2025-04-13  Brian Lindholm
	* repeats/repeats.py.in:  Redefine uniq() to preserve list order.

2025-04-12  Brian Lindholm
	* repeats/repeats.py.in:  Fix a long-standing error that causes
	options -7 and -8 to use different b2sum tree depths rather than
	different digest sizes.

2025-04-10  Brian Lindholm
	* scripts/opt-png.in:  Redirect stderr from pngstrip to /dev/null to
	avoid spurious error messages about colorspaces.

2025-04-09  Brian Lindholm
	* littleutils/orig/*:  Resync with versions from coreutils-9.7.
	Continue defining u64rol as a macro on 64-bit systems.

	* littleutils/orig/tempname.c:  Resync with version from glibc-2.41.

2025-04-06  Brian Lindholm
	* scripts/notabs.*:  Add the -t option to specify tab width.  Remove
	functionality to remove trailing spaces, as this is more appropriately
	handled by notrail.

2025-04-05  Brian Lindholm
	* */*.1:  Change "filelist" to "file_list" in multiple man pages.

2025-03-22  Brian Lindholm
	* */*:  Copious changes to comments and copyright dates.  No actual
	functionality change.

2025-03-21  Brian Lindholm
	* scripts/lreplace.in:  Remove warnings about zero-length input files.
	They were too annoying in directories with numerous zero-length files.

2025-03-15  Brian Lindholm
	* scripts/rar2tarcat, scripts/zip2tarcat:  Clean up formatting to be
	more compact.

	* autoconf/missing:  Grab latest copy from
	http://git.savannah.gnu.org/cgit/config.git/plain/.

2025-03-12  Brian Lindholm
	* * extra/pdfbw4.*, extra/Makefile.in, autoconf/configure.ac:  Rename
	pdfbw to pdfbw4 and adjust accordingly.

2025-03-08  Brian Lindholm
	* extra/pdfbw.*, extra/Makefile.in:  New littleutil pdfbw, which can
	be used to reduce the size of PDF files by converting all of the
	bitmaps within to pure black-and-white (not grayscale).  It utilizes
	img2pdf, pdfimages, pamthreshold, and pdfseparate as computation
	engines.  Like pdfquant, it is targeted at PDFs created by document
	scanning software.

2025-01-17  Brian Lindholm
	* littleutils/orig/*:  Resync with versions from coreutils-9.6.
	Continue defining u64rol as a macro on 64-bit systems.

2024-12-28  Brian Lindholm
	* repeats/repeats.py.in:  Ensure that candidate lists are of at least
	length 2 instead of 1, as a singleton list by definition contains no
	duplicates.

2024-12-25  Brian Lindholm
	* repeats/repeats.py.in:  Use alternate "not in" syntax for slightly
	improved readability.  Add some additional casts to str().

2023-12-15  Brian Lindholm
	* autoconf/configure.ac, README:  Change package version to 1.2.8.

version 1.2.7:

2024-12-14  Brian Lindholm
	* repeats/repeats.py.in:  Add "None" output type hints to several
	functions.

2024-12-04  Brian Lindholm
	* autoconf/install-sh, autoconf/missing, autoconf/mkinstalldirs:  Grab
	latest copies from http://git.savannah.gnu.org/cgit/config.git/plain/.

2024-10-24  Brian Lindholm
	* littleutils/filehash.c:  Removed a spurious argument from an fprintf
	call.

2024-10-16  Brian Lindholm
	* repeats/repeats.pl.in:  Improve handling of the / search path.

2024-10-06  Brian Lindholm
	* repeats/repeats.p?.in:  Change default number of bytes read per file
	in first round of stage 3 from 1024 to 256, for improved performance
	with a large number of small files.  Change the internal buffer size
	from 1 MiB to 64 kiB for improved performance with large files.

2024-10-04  Brian Lindholm
	* repeats/repeats.pl.in:  Add the perl ":unix" IO layer for unbuffered
	file reads.  It runs about 10% faster when processing a large number
	of small files.

	* repeats/repeats.py.in:  Add "buffering=0" for unbuffered file reads.
	It runs about 10% faster when processing a large number of small files.

2024-09-02  Brian Lindholm
	* littleutils/orig/tempname.c:  Resync with version from glibc-2.40.

2024-07-21  Brian Lindholm
	* repeats/repeats*.in, repeats.1:  Change the -m option to -i.
	Functionality is exactly the same.  And use the now-available -m
	option to limit the search to files of a minimum size.

2024-07-20  Brian Lindholm
	* repeats/repeats.p?.in:  When reporting statistics, report the total
	size of extra copies AND the total size of all files with duplicates.
	This provides more complete information.

2024-07-12  Brian Lindholm
	* imageutils/imagsize.*:  Add the capability of handling WEBP image
	files.

2024-07-08  Brian Lindholm
	* repeats/repeats.p?.in:  When reporting statistics, report the total
	size of extra copies instead of the total size of all files that have
	duplicates.  This better indicates the total amount of space that
	could be saved by replacing duplicates with symlinks/hardlinks.

2024-05-03  Brian Lindholm
	* extra/opt-pdf.in:  Change from PDF version 1.4 to 1.7.

2024-03-28  Brian Lindholm
	* littleutils/orig/*:  Resync with versions from coreutils-9.5 and
	glibc-2.39.

2024-03-23  Brian Lindholm
	* extra/pdfidiff.*:  Change the default "fuzz distance" from 1 to 15.
	List the defaults when printing help.

2023-11-26  Brian Lindholm:
	* scripts/wipe-free.*:  Print the size of working files in GiB, MiB,
	or kiB instead of just bytes.

2023-09-30  Brian Lindholm
	* repeats/repeats.py.in:  Strip leading "./" when no path is
	specified.

2023-08-29  Brian Lindholm
	* littleutils/orig/*:  Resync with versions from coreutils-9.4.

2023-08-23  Brian Lindholm
	* repeats/repeats.p*.in:  Print total potential bytes also.

2023-08-02  Brian Lindholm
	* repeats/repeats.p*.in:  Rename "stage 4" as "summary".

2023-07-13  Brian Lindholm
	* repeats/repeats.p*.in:  Having match summary print terabytes,
	gigabytes, megabytes, kilobytes, or bytes as appropriate.

2023-06-27  Brian Lindholm
	* m4/orig/*:  Add script to download m4 scripts from GNU savannah.

2023-06-26  Brian Lindholm
	* autoconf/config.*:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/config.guess, and
	http://git.savannah.gnu.org/cgit/config.git/plain/config.sub.

2023-06-25  Brian Lindholm
	* autoconf/configure.ac, README:  Change package version to 1.2.7.

version 1.2.6a:

2023-06-27  Brian Lindholm
	* m4/lib-prefix.m4:  Undo typo to restore comment at top.

version 1.2.6:

2023-06-25  Brian Lindholm
	* m4/host-cpu-c-abi.m4, m4/lib-prefix.m4, configure:  Use serial 15
	and 20 from gnulib, respectively.  Rebuild configure file.

2023-06-22  Brian Lindholm
	* repeats/repeats.p*.in:  Print total number of megabytes matched.
	Change default number of bytes read per file in first round of stage 3
	from 4096 to 1024.  This reduces CPU time for most data sets.

2023-05-04  Brian Lindholm
	* repeats/repeats.p*.in:  Print total number of megabytes read.

2023-05-03  Brian Lindholm
	* repeats/repeats.py.in, repeats/repeats.1:  Minor fixes and manpage
	updates.

2023-05-02  Brian Lindholm
	* repeats/repeats.py.in:  Add new python version that works almost
	identically to repeats.pl.

2023-05-01  Brian Lindholm
	* repeats/repeats.pl.in:  Silently skip unreadable files and
	directories instead of aborting.  Avoid symlinks more reliably.

2023-04-18  Brian Lindholm
	* littleutils/orig/*:  Resync with versions from coreutils-9.3 and
	glibc-2.37.

2023-04-17  Brian Lindholm
	* autoconf/configure.ac, configure, scripts/to-bzip2.*:  Rename
	to-bzip as to-bzip2, to prepare for addition of to-bzip3 command.

	* scripts/to-bzip3.n:  Add utility to convert to bzip3 files.

2023-04-10  Brian Lidholm
	* extra/to-7zip.*, scripts/to-*.1, scripts/to-*.in:  Add bzip3
	conversion support to the to-7zip, to-lzip, to-lzma, to-xz, and
	to-zstd utilities.  Improve filetype identification for all
	compression conversion utilities.

2023-03-25  Brian Lindholm
	* scripts/opt-jpg.*:  Add 'icc' as a possible pick for the -m option.

	* scripts/recomp-jpg.*:  Add the -d option to pick between 'float',
	'int', and 'fast' DCT methods.  The default will remain 'float', as
	the execution time varies little on modern x86-64 systems.

2023-03-22  Brian Lindholm
	* scripts/recomp-jpg.in:  Add special handling for grayscale images
	and replace perl calls with sed to reduce execution time.

2023-03-20  Brian Lindholm
	* littleutils/Makefile.in:  Add missing dependency on unlocked-io.h
	for md5-stream.o.

2023-02-05  Brian Lindholm
	* scripts/opt-*.in, scripts/rot-jpg.in:  Use grep in fgrep mode (via
	grep -F) where appropriate.

2022-10-07  Brian Lindholm
	* autoconf/config.*:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/config.guess,

2022-07-15  Brian Lindholm
	* littleutils/filehash.*:  Add -C option to print in BSD-style format,
	much like the -c option prints in md5sum, sha1sum, etc. format.

2022-04-18  Brian Lindholm
	* littleutils/filehash.*:  Add -B option to print in Base64, much like
	the -b option prints in Base64url.

2022-04-16  Brian Lindholm
	* littleutils/md5.*, littleutils/sha*.*, littleutils/u64.h,
	littleutils/unlocked-io.h:  Resync with versions from coreutils-9.1.
	The filehash utility now uses unlocked I/O, which can be faster in
	certain circumstances.

2022-03-13  Brian Lindholm
	* various:  Append "do" after "while getopt" lines to make bash
	scripts more concise.

2022-02-17  Brian Lindholm
	* repeats/repeats*:  Change default number of bytes read per file in
	stage 2 from 65536 to 16384.  This reduces the CPU time dedicated to
	digest calculations while still keeping stage 3 under control for most
	data sets.

2022-02-05  Brian Lindholm
	* autoconf/config.*, autoconf/missing:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/config.guess,
	http://git.savannah.gnu.org/cgit/config.git/plain/config.sub, and
	http://git.savannah.gnu.org/cgit/config.git/plain/missing.sub.

2021-10-29  Brian Lindholm
	* autoconf/configure.ac, README:  Change package version to 1.2.6.

version 1.2.5:

2021-10-08  Brian Lindholm
	* repeats/repeats.pl.in:  Another adjustment to reduce memory
	consumption by another 1%.

2021-10-05  Brian Lindholm
	* repeats/repeats.1:  Minor tweaks.

2021-10-02  Brian Lindholm
	* repeats/repeats.pl.in:  Use pack when concatenating integers for use
	as hash keys.  Reduces memory consumption by about 7%.

2021-09-25  Brian Lindholm
	* littleutils/filehash.*:  Refactor code for improved readability and
	slight efficiency improvement.

2021-09-24  Brian Lindholm
	* repeats/repeats.in:  Use the new -b option of filehash to reduce
	memory consumption.

	* littleutils/filehash.*:  Add -b option to print hash results in
	base64url instead of hex.  This results in more compact output.

2021-09-16  Brian Lindholm
	* autoconf/configure.ac, littleutils/randomize.c,
	littleutils/tempname.c, littleutils/rand_funcs.*,
	littleutils/Makefile.in:  Use non-blocking getrandom function if
	available, permitting faster operation in systems where urandom is
	depleted too quickly.  If available, use clock_gettime nanoseconds
	instead of time as a random number generator seed fallback.  Split
	rand_seed and rand_int into separate source files.  Use 8 random
	characters instead of 6 in tempname.

2021-09-14  Brian Lindholm
	* littleutils/orig/tempname.c:  Resync with version from glibc-2.34.

2021-09-11  Brian Lindholm
	* autoconf/autoconf.ac, autoconf/config.h, configure:  Upgrade from
	autoconf-2.69 to 2.71.

2021-07-10  Brian Lindholm
	* autoconf/config.*:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/config.guess and
	http://git.savannah.gnu.org/cgit/config.git/plain/config.sub.

	* littleutils/filesize.*:  Add the -t option to totalize the sum of
	all file sizes.

2021-04-30  Brian Lindholm
	* extra/pren.in, scripts/lcuc.in:  Tighten perl syntax to reduce size.

2021-03-29  Brian Lindholm
	* extra/pdfquant.1:  Fix several typos.

	* extra/pdfidiff.in:  Fix bad utility name in copyright statement.

2021-03-28  Brian Lindholm
	* extra/pdfquant.*, extra/Makefile.in:  New littleutil pdfquant, which
	can be used to reduce the size of the colormap used by bitmaps found
	in PDF files.  It utilizes img2pdf, pdfimages, pngquant, and
	pdfseparate as computation engines.  It is targeted at PDFs created by
	document scanning software.

	* autoconf/configure.ac, README:  Change package version to 1.2.5.
	Added checks and notes for new pdfquant utility.

version 1.2.4:

2019-03-12  Brian Lindholm
	* littleutils/lsysinfo.1:  Rework sysinfo(2) results handling for
	Cygwin, which reports pages instead of bytes.

2019-01-23  Brian Lindholm
	* extra/pdfidiff.1:  Add pdftocairo to NOTES section.

	* extra/opt-pdf.in:  Increase value for setvmthreshold from 30000000
	to 33550336 (which is 32MiB-4kiB).

2020-01-23  Brian Lindholm
	* various:  Use modern $(command) syntax in place of `command` syntax
	in bash scritps.

2020-01-22  Brian Lindholm
	* various:  Get rid of $TMPWILD and "tempname -w" in most scripts, as
	these were originally inserted because of a flawed understanding of
	trap functionality.  Also, get rid of "trap command 0" functionality,
	as this is already handled elsewhere in the scripts.

2021-01-17  Brian Lindholm
	* various:  Move integer declarations out of loops within numerous
	bash scripts.

2021-01-15  Brian Lindholm
	* autoconf/configure.ac, README:  Remove references and check for
	dash, since we're no longer using it.

	* scripts/*.in, scripts/*.1:  Clean up use of quotes around strings
	and numbers for improved consistency.

	* littleutils/filehash_clone.sh, repeats/repeats.in:  Clean up use of
	quotes around strings and numbers for improved consistency.

	* extra/opt-pdf.in, extra/pdfidiff.in, extra/to-7zip.in:  Clean up
	use of quotes around strings and numbers for improved consistency.

	* littleutils/tempname.*:  Do not use directories that contain space
	characters to hold temporary files, as these will cause many scripts
	to break.

2020-11-27  Brian Lindholm
	* autoconf/configure.ac, README:  Change package version to 1.2.4.

version 1.2.3:

2020-11-18  Brian Lindholm
	* repeats/repeats.pl.in:  Tweaked a few comments.

2020-10-29  Brian Lindholm
	* repeats/repeats.in:  Refactored to make more readable and compact.

2020-10-28  Brian Lindholm
	* README:  Add reference for CryptX.

2020-10-20  Brian Lindholm
	* repeats/{repeats.1,repeats.pl.in}:  Make updates to better explain
	differences between repeats and repeats.pl.

	* repeats/Makefile.in:  Symlink repeats.1 to repeats.pl.1.

2020-10-19  Brian Lindholm
	* */*.1:  And still more formatting tweaks.

	* autoconf/configure.ac, repeats/Makefile.in:  Make changes to support
	build and installation of repeats.pl in addition to repeats.

	* littleutils/ZERO*:  Remove these spurious files that were left
	behind from testing of changes to filehash in version 1.2.2.

2020-10-16  Brian Lindholm
	* */*.1:  More minor formatting tweaks.

2020-09-28  Brian Lindholm
	* */*.1:  Minor formatting tweaks.

2020-09-25  Brian Lindholm
	* autoconf/configure.ac, README:  Change package version to 1.2.3.

version 1.2.2:

2020-09-25  Brian Lindholm
	* autoconf/config.*:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/config.guess and
	http://git.savannah.gnu.org/cgit/config.git/plain/config.sub.

	* extra/opt-pdf.in:  Fix ghostscript version check that was broken by
	the new versioning scheme used by ghostscript 9.53.0.

2020-08-29  Brian Lindholm
	* extra/pdfidiff.in:  Replace --without-pdfrw by --engine=internal in
	img2pdf call, to reflect changes in recently-released img2pdf 0.4.0.

2020-08-19  Brian Lindholm
	* README:  Add reference to poppler package.

2020-08-16  Brian Lindholm
	* littleutils/filehash_clone.sh:  Add the -o option to permit a file
	offset before filehash computations begin.

2020-08-08  Brian Lindholm
	* littleutils/filehash.*:  Add the -o option to permit a file offset
	before filehash computations begin.

2020-07-31  Brian Lindholm
	* repeats/repeats_clone.pl:  Update to a new algorithm that computes
	hashes on increasing large chunks of files.  It reduces the total
	amount of I/O and hashing required.  Performance is about 0.8X of the
	native C version on Linux (and about 1.3X on Cygwin, where stat and
	file open operations are more expensive).  This will serve as the
	template for future improvements to the C version.

2020-07-29  Brian Lindholm
	* repeats/repeats.1:  Add references to dupd and jdupes.

2020-07-22  Brian Lindholm
	* autoconf/configure.ac, README:  Change package version to 1.2.2.

version 1.2.1:

2020-07-08  Brian Lindholm
	* repeats/repeats*:  Change default number of bytes read per file in
	stage 2 from 4096 to 65536.  This greatly reduces the number of files
	evaluated in stage 3 for most data sets.

2020-07-05  Brian Lindholm
	* littleutils/filehash_clone.sh:  Add online help.

	* littleutils/filehash.c:  Fix spacing inconsistencies in help text.

	* autoconf/config.*:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/config.guess and
	http://git.savannah.gnu.org/cgit/config.git/plain/config.sub.

	* various:  Add vim modelines to the top of most scripts.

2020-07-02  Brian Lindholm
	* littleutils/filehash_clone.sh, repeats/repeats_clone.pl:  Add
	copyright statements and additional comments.

2020-06-30  Brian Lindholm
	* repeats/repeats_clone.pl:  Create a perl-based clone of repeats.

2020-06-25  Brian Lindholm
	* extra/pren.in, scripts/lcuc.in:  Use strict.  Address a couple of
	items identified by perlcritic.

2020-06-07  Brian Lindholm
	* autoconf/configure.ac, configure:  Add check for pdftocairo.

2020-06-06  Brian Lindholm
	* scripts/opt-*.*:  Revamp touch logic for more compact code.

	* extra/opt-pdf.*:  Add a second PDF optimization attempt with
	pdftocairo from Poppler.

2020-06-04  Brian Lindholm
	* extra/pdfidiff.*:  The pdftocairo from Poppler is now used as the
	default rendering engine, with Ghostscript selectable as an alternate
	using the -g option.

2020-05-19  Brian Lindholm
	* extra/opt-pdf.in:  Fix quoting in PDF optimization arguments.

2020-04-29  Brian Lindholm
	* littleutils/lrealpath.1:  Improve the overall description of
	lrealpath.

2020-04-17  Brian Lindholm
	* littleutils/lrealpath.1:  Mention that -e option of realpath gives
	better compatibility with lrealpath.

2020-03-22  Brian Lindholm
	* autoconf/configure.ac, README:  Change package version to 1.2.1.

version 1.2.0:

2020-03-18  Brian Lindholm
	* extra/to-7zip*:  Add zst files as a target that can be converted.

2020-03-17  Brian Lindholm
	* scripts/to-lzip*, scripts/to-lzma*, scripts/to-xz*:  Add zst files
	as a target that can be converted.

	* scripts/to-zst*, scripts/Makefile.in, autoconf/configure.ac:
	Add new to-zst utility.

2020-03-16  Brian Lindholm
	* repeats/repeats.1:  Grammar tweaks.

2020-03-15  Brian Lindholm
	* littleutils/filehash_clone.sh:  Create a script-based clone of
	filesize, to use for comparison and debugging purposes.  It's slower
	and always presumes that the -c option is used, but it was adequate
	for the purpose intended.

	* littleutils/filesize.*, littleutils/md5.*, littleutils/sha*.*:
	Tweaks to support "-n 0" as a command-line option.

2020-03-14  Brian Lindholm
	* */*.c, */*.h, */*.1:  Widespread portability fixes and copyright
	date updates.

	* repeats/repeats*:  Add BLAKE2B hashes (both 256-bit and 512-bit) and
	switch to BLAKE2B-512 as the default.

	* littleutils/b2sum*, littleutils/blake2*, littleutils/filehash*,
	littleutils/orig/b2sum*, littleutils/orig/blake2*:  Add BLAKE2B hashes
	(both 256-bit and 512-bit).

	* littleutils/md5.*, littleutils/sha*.*:  Tweaks to partial file
	logic.

2020-03-13  Brian Lindholm
	* littleutils/md5.*, littleutils/sha*.*, littleutils/u64.h:  Resync
	with versions from coreutils-8.32.

2020-03-10  Brian Lindholm
	* autoconf/configure.ac, */Makefile.in:  Improve sed portability.

2020-03-09  Brian Lindholm
	* autoconf/configure.ac, */Makefile.in:  More fixes for installation
	from out-of-tree builds.

2020-03-06  Brian Lindholm
	* */*.c, */Makefile.in:  Add VPATH and -I paths to support out-of-tree
	builds.

2020-02-25  Brian Lindholm
	* scripts/lcuc.1.in:  Clean up grammar.

2020-02-22  Brian Lindholm
	* scripts/lcuc.*:  Add -x and -X options to perform upper/lowercase
	operations on filename extensions only.

2020-02-01  Brian Lindholm
	* littleutils/orig/tempname.c:  Resync with version from glibc-2.31.

2020-01-25  Brian Lindholm
	* extra/pren.*, scripts/lcuc.*:  Replace double quotes (") with
	single quotes (') on all strings not requiring parameter expansion.
	Update copyright dates.

2020-01-19  Brian Lindholm
	* autoconf/configure.ac, README:  Change package version to 1.2.0.

version 1.0.44:

2020-01-18  Brian Lindholm
	* imageutils/imagdiff.c:  Resequence include files to address build
	error caused by imlib2-1.6.1.

2020-01-10  Brian Lindholm
	* autoconf/config.*, autoconf/missing:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/config.guess,
	http://git.savannah.gnu.org/cgit/config.git/plain/config.sub, and
	http://git.savannah.gnu.org/cgit/config.git/plain/missing.sub.

2019-11-26  Brian Lindholm
	* imageutils/imagdiff.c, scripts/rot-jpg.in:  Fix typos in comments.

2019-11-03  Brian Lindholm
	* extra/opt-pdf.in:  Use -c "30000000 setvmthreshold" on non-web-
	optimized files also.

2019-11-04  Brian Lindholm
	* littleutils/lsysinfo.1:  Fix typos.

2019-11-01  Brian Lindholm
	* littleutils/lsysinfo.*, littleutils/Makefile.in:  New littleutil
	lsysinfo, which prints information from the sysinfo(2) and sysconf(3)
	calls.

	* m4/host-cpu-c-abi.m4, autoconf/configure.ac, autoconf/Makefile:  Use
	serial 11 from gettext-0.20.1.

2019-10-31  Brian Lindholm
	* extra/opt-pdf.in:  Use -c "30000000 setvmthreshold" instead of -c
	.setpdfwrite for Ghostscript versions 9.50 and later.

2019-09-18  Brian Lindholm
	* littleutils/orig/tempname.c:  Resync with version from glibc-2.30.

	* m4/lib-prefix.m4:  Update to serial 14 (from serial 7), taken from
	gettext-0.20.1.

2019-09-16  Brian Lindholm
	* scripts/rot-jpg.*:  Add the -f option to rot-jpg to permit faster
	processing.

	* autoconf/config.*:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/config.guess and
	http://git.savannah.gnu.org/cgit/config.git/plain/config.sub.

2019-09-14  Brian Lindholm
	* scripts/rot-jpg.*, scripts/Makefile, autoconf/configure.ac, README:
	New littleutil rot-jpg, which can be used to losslessly rotate JPEG
	image files from the command-line.

2019-09-11  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.44.

version 1.0.43:

2019-09-07  Brian Lindholm:
	* extra/pdfidiff.in:  Fix check for presence of parallel utility.

2019-09-04  Brian Lindholm:
	* extra/opt-pdf.in:  Add missing -t option to online help.

2019-09-03  Brian Lindholm:
	* autoconf/configure.ac, configure:  Switch from python2 to python3,
	in preparation for python2 obsolescence in Debian and elsewhere.

	* scripts/zip2tarcat.in, scripts/rar2tarcat.in:  Switch from
	sys.stdout to sys.stdout.buffer for python3 compatibility.

	* extra/opt-pdf.in:  Remove spurious semicolon.

2018-07-12  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.43.

version 1.0.42:

2019-07-12  Brian Lindholm
	* autoconf/config.*:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/config.guess and
	http://git.savannah.gnu.org/cgit/config.git/plain/config.sub.

2019-07-09  Brian Lindholm
	* scripts/rar2tarcat.in:  Fix rar2tarcat using datetime.datetime.
	Bug identified (and patch provided) by Lazy Kent.

2019-06-17  Brian Lindholm
	* scripts/lreplace.in:  Permit zero-length input string on zero-
	length input files.

2019-06-14  Brian Lindholm
	* scripts/lreplace.*:  Add -z and -Z options to permit handling
	zero-length input and output files, respectively, which lreplace
	now normally skips.

2019-04-23  Brian Lindholm
	* extra/pdfidiff.in:  Re-add the -v option as an undocumented option,
	in case people writing higher-level scripts that call for pdfidiff
	have already incorporated the -v option from version 1.0.41.

2019-04-14  Brian Lindholm
	* extra/pdfidiff.*:  Convert -v option to inverted -q option, since
	run times are long enough that people normally will want progress
	information.  Also, limit DPI to a maximum of 2400 to avoid potential
	denial-of-service attacks.

2019-04-09  Brian Lindholm
	* imagutils/imagdiff.c:  Fix error that prevented -f option from
	working.

2018-04-06  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.42.

version 1.0.41:

2019-04-03  Brian Lindholm
	* imagutils/imagdiff.c:  Fix error that prevented -f option from
	working.

	* scripts/pdfidiff.*:  Add -f option for fuzz distance, to be
	utilized by the imagdiff utility within.

2019-03-22  Brian Lindholm
	* littleutils/orig/*, littleutils/md5.*, littleutils/sha*.*,
	littleutils/u64.h:  Resync with versions from coreutils-8.31.

	* littleutils/orig/tempname.c:  Resync with version from glibc-2.29.

2018-03-17  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.41.

version 1.0.40:

2019-02-24  Brian Lindholm
	* autoconf/config.*:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/config.guess and
	http://git.savannah.gnu.org/cgit/config.git/plain/config.sub.

2019-02-12  Brian Lindholm
	* extra/opt-pdf.in:  Force subsetting and compression of fonts.

2019-02-11  Brian Lindholm
	* imagutils/imagdiff.c:  Handle missing images better.

2019-02-10  Brian Lindholm
	* imagutils/imagdiff.c:  Put in full copyright language.

2019-02-09  Brian Lindholm
	* extra/pdfidiff.*:  New littleutil pdfidiff, which can be used to
	calculate a "delta PDF" showing the difference between two PDF files.
	It utilizes gs, imagdiff, and img2pdf as computation engines.

2019-02-07  Brian Lindholm
	* imagutils/imagdiff.*:  Add -5 option for "stretched color" deltas.

2019-01-09  Brian Lindholm
	* imagutils/imagdiff.c:  Refactor slightly to make it more compact.

2019-01-07  Brian Lindholm
	* imagutils/pngstrip.*:  Pngstrip now preserves pHYs chunk information
	and can explicitly set it (in pixels-per-meter) using the -r option.

	* scripts/opt-png.*:  Add the -r option to explicitly set the
	resolution of the output image (in pixels-per-inch).

2019-01-05  Brian Lindholm
	* autoconf/configure.ac, imagutils/Makefile.in, imagutils/imagdiff.*:
	New littleutil imagdiff, which can be used to calculate a "delta
	image" showing the difference between two files.  This was inspired by
	MvG's response on a thread on Stack Overflow, but utilizing Imlib2
	instead of ImageMagick.  The imagdiff utility is MUCH faster.  See
	https://stackoverflow.com/questions/5132749/diff-an-image-using-imagemagick

2018-09-17  Brian Lindholm
	* littleutils/filehash.c:  Add -c option to -h output.

2018-08-25  Brian Lindholm
	* scripts/opt-png.in:  Fix "endif" typo.

2018-08-23  Brian Lindholm
	* scripts/opt-*.*, extra/opt-pdf.*:  Add -t option to preserve
	timestamps on modified files.

2018-07-19  Brian Lindholm
	* repeats/repeats.in:  BUGFIX!  Re-enable traps.  The bugfix of
	littleutils-1.0.19 was incomplete and failed to clean up after a hard
	interrupt.

2018-07-13  Brian Lindholm
	* repeats/repeats.in:  Add -readable flag to "find" commands to avoid
	processing files that aren't readable, as these will fail.  Based on
	bug report by Yves@DMX.

2018-07-12  Brian Lindholm
	* autoconf/configure.ac, littleutils/md5.c, littleutils/sha*.c,
	configure:  Add checks for header files, as MacOS 10.9.5 doesn't have
	<byteswap.h>.  Based on bug report by Yves@DMX.

2018-07-09  Brian Lindholm
	* NEWS:  Fix typo as identified by Lazy Kent.

2018-07-08  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.40.

version 1.0.39:

2018-07-08  Brian Lindholm
	* extra/Makefile.in:  BUGFIX!  Add definition for PROGBASH, so that
	bash is properly used for updates (from 1.0.38) to to-7zip.  Bug
	identified by Lazy Kent.

2018-07-07  Brian Lindholm
	* littleutils/randomize.c, littleutils/tempname.c:  Add comments about
	the need to use read instead of fread.

	* repeats/test_file:  Delete this spurious file, accidentally
	introduced back in littleutils-1.0.29.

2018-07-06  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.39.

version 1.0.38:

2018-07-06  Brian Lindholm
	* ChangeLog:  Fix multiple typos.

	* autoconf/*:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/*.

2018-07-05  Brian Lindholm
	* littleutils/filehash.*:  Add -c option for classic output.

	* scripts/to-*.in:  Fix multiple typos.

2018-07-04  Brian Lindholm
	* littleutils/orig/*, littleutils/md5.*, littleutils/sha*.*,
	littleutils/u64.h:  Resync with versions from coreutils-8.30.

	* extra/to-7zip.*:  Duplicate D. Gloger's time-stamp preservation and
	zip-file handling logic from to-xz.  Add -4 and -6 options to
	specify that IPv4 or IPv6 should be preferred for URL downloads,
	respectively.  Remove PPMd logic, as it is no longer available in
	later versions of p7zip.

2018-07-01  Brian Lindholm
	* imageutils/image_size.c, imageutils/orig/image_size.*:  Resync with
	upstream from 2014.

	* imageutils/image_size.c, imageutils/jpgcom.c,
	imageutils/libpngrecolor.c:  Add program name to error messages.

2018-06-26  Brian Lindholm
	* extra/opt-pdf.*:  Add logic to avoid running Ghostscript on PDF
	files that have already been processed.  Requires that pdfinfo from
	poppler be present on the system.

2018-06-18  Brian Lindholm
	* extra/pren.1:  Add reference to alternative mmv command.

2018-06-03  Brian Lindholm
	* littleutils/randomize.c, littleutils/tempname.c:  Add code to seed
	the random number generator with bytes from /dev/urandom, if it's
	available.

2018-05-03  Brian Lindholm
	* scripts/to-*:  Add -4 and -6 options to specify that IPv4 or IPv6
	should be preferred for URL downloads, respectively.

2018-03-21  Brian Lindholm
	* autoconf/grab_scripts.sh:  Improve script to indicate when scripts
	have actually changed.

2018-02-01  Brian Lindholm
	* littleutils/orig/tempname.c:  Resync with version from glibc-2.27.

2017-01-21  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.38.

version 1.0.37:

2017-01-17  Brian Lindholm
	* extra/pren.in, scripts/lcuc.in:  Cache directory write permissions
	to avoid repeated stat calls.  This significantly improves performance
	under Cygwin in a networked environment.

2017-01-14  Brian Lindholm
	* autoconf/*:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/*.

2016-09-01  Brian Lindholm
	* extra/opt-pdf.in:  Add -dDetectDuplicateImages=true to avoid image
	duplication within a single PDF file.

2016-08-23  Brian Lindholm
	* scripts/opt-png.in:  Replace pngcrush -q option with -s option, as
	-q has become rather verbose in recent pngcrush releases.

2016-08-09  Brian Lindholm
	* littleutils/orig/tempname.c:  Resync with version from glibc-2.24
	over the previous version from glibc-2.19.

2016-08-06  Brian Lindholm
	* scripts/to-*.in:  Update output to report filesize improvements.

2016-07-30  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.37.

version 1.0.36:

2016-07-12  Brian Lindholm
	* scripts/to-*:  Change from curl to wget, as wget seems to handle
	redirected URLs better.

2016-07-10  Brian Lindholm
	* scripts/to-*:  Add capability of downloading (via curl) files
	specified with a URL.

2016-03-05  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.36.

version 1.0.35:

2016-02-19  Brian Lindholm
	* scripts/to-lzma*:  Add dummy -p handling to the lzma_alone-based
	version of to-lzma, add description of -p option to the lzma-based
	version of to-lzma, and add a warning to the man page noting that the
	.lzma "file format" (just a data stream, really) has been deprecated.

2016-02-02  Brian Lindholm
	* repeats/repeats.1:  Add references to similar fdupes and rdfind
	commands.

2016-01-21  Brian Lindholm
	* littleutils/md5.*, littleutils/sha*.*, littleutils/u64.h:  Resync
	with versions from coreutils-8.25.

2015-11-19  Brian Lindholm
	* scripts/to-bzip, scripts/to-gzip, scripts/to-lzip:  Add logic to
	check if multi-threaded variants of compression utilities are present;
	if not, fall back to regular version.

	* scripts/to-bzip.*:  Use lbzip2 instead of pbzip2 if present.  It
	provides slightly better performance.

2015-11-15  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.35.

version 1.0.34:

2015-11-14  Brian Lindholm
	* scripts/to-bzip, scripts/to-gzip, scripts/to-lzip:  Add logic to use
	all cores when "-p 0" is requested.  The to-lzma and to-xz utilities
	already did this implicitly.

	* scripts/to-*.1:  Indicate that all cores will be utilized when the
	"-p 0" option is used.

2015-11-13  Brian Lindholm
	* autoconf/config.*:  Grab latest copies from
	http://git.savannah.gnu.org/cgit/config.git/plain/config.guess and
	http://git.savannah.gnu.org/cgit/config.git/plain/config.sub.

	For reference, other autoconf files can be obtained from
	http://git.savannah.gnu.org/cgit/automake.git/plain/lib/install-sh,
	http://git.savannah.gnu.org/cgit/automake.git/plain/lib/missing, and
	http://git.savannah.gnu.org/cgit/automake.git/plain/lib/mkinstalldirs.

	* scripts/wipe-free.in:  BUGFIX!  The -b and -c options in wipe-free
	were being ignored.  This has now been fixed.

2015-11-12  Brian Lindholm
	* scripts/lcuc.in:  Revert change of 2015-10-14.  It did not work as
	intended.

2015-11-11  Brian Lindholm
	* scripts/to-*.in:  Implement change to support multi-threaded pigz,
	pbzip2, plzip, and xz -T compression.

2015-10-14  Brian Lindholm
	* scripts/lcuc.in:  Collapse an if-then statement slightly.

2015-08-10  Brian Lindholm
	* scripts/to-lzma_alone.in:  Bump up dictionary sizes when using
	lzma_alone, per defaults found in LZMA SDK 15.05.

2015-06-10  Brian Lindholm
	* extra/pren.1:  Add reference to rename(1).

2015-03-27  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.34.

version 1.0.33:

2015-03-27  Brian Lindholm
	* scripts/scripts/rar2tarcat.1:  Tweak grammar for improved
	readability.

2015-03-27  Brian Lindholm
	* autoconfig/config.guess, autoconfig/config.sub, autoconfig/missing,
	autoconfig/install-sh:  Update to versions from libtool-2.4.6.

2015-03-25  Brian Lindholm
	* scripts/to-*.in, scripts/to-*.1:  Duplicate D. Gloger's rar-file
	handling logic from to-xz to all other to-* utilities.  Update
	manpages accordingly.

2015-03-25  D. Gloger
	* autoconf/configure.ac, scripts/Makefile.in, scripts/to-xz.1,
	scripts/to-xz.in, scripts/rar2tarcat.in:  Add rar2tarcat script,
	plus modifications to use rar2tarcat as part of to-xz.  Patch by
	SourceForge user "gloger".

	* scripts/zip2tarcat.in:  Fix script to correctly handle daylight-
	saving time when making timezone adjustments.  Patch by SourceForge
	user "gloger".

2014-09-19  Brian Lindholm
	* autoconf/configure.ac, imageutils/pngrecolor.c,
	imageutils/pngstrip.c, littleutils/randomize.c:  Remove dmalloc
	debugging functionality, since it no longer seems to work well on
	modern Linux distributions.

2014-08-10  Brian Lindholm
	* scripts/scripts/zip2tarcat.1:  Tweak grammar for improved
	readability.

	* scripts/scripts/zip2tarcat.in:  Change default file permissions
	from 0777 and 0666 to 0755 and 0644, which is a more typical default
	for users.

2014-08-08  Brian Lindholm
	* README:  Update to mention dash and python scripting languages.

	* autoconf/configure.ac, README:  Bump package version to 1.0.33.

version 1.0.32:

2014-08-07  Brian Lindholm
	* autoconf/configure.ac, configure:  Change most echo commands to more
	proper AC_MSG_NOTICE, AC_MSG_WARN, and AC_MSG_ERROR macros, as
	inspired by an unused portion of D. Gloger's patch.

2014-08-05  Brian Lindholm
	* scripts/to-*.in, scripts/to-*.1:  Duplicate D. Gloger's time-stamp
	preservation and zip-file handling logic from to-xz to all other to-*
	utilities.  Update manpages accordingly.

	* scripts/to-lzip_alone.in, scripts/to-xz_alone.in:  Delete both of
	these spurious files (which have existed since littleutils-1.0.30).
	Neither was being used.

	* scripts/zip2tarcat.1:  Add manpage for zip2tarcat.

	* INSTALL:  Copy latest version from automake-1.14.1.

	* README:  Update to include new zip2tarcat utility.

2014-08-05  D. Gloger
	* autoconf/configure.ac, scripts/Makefile.in, scripts/to-xz.1,
	scripts/to-xz.in, scripts/zip2tarcat.in:  Add zip2tarcat script, plus
	modifications to use zip2tarcat as part of to-xz.  Add time- stamp
	preservation to to-xz.  Patch by SourceForge user "gloger".

2014-08-05  Zeese Blevens
	* littleutils/filedate.c:  Fix double-paste of .tv_nsec that broke OS
	X builds, per bug report by SourceForge user "zeese".

2014-07-19  Brian Lindholm
	* autoconf/configure.ac:  Fix error message about missing libpng-dev
	support needed for opt-png.

2014-02-13  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.32.

version 1.0.31:

2014-02-07  Brian Lindholm
	* littleutils/tempname.c:  Resync with version from glibc-2.19 over
	the previous version from glibc-2.12.2.  Only a few comments changed.
	No change to the actual code.

2013-12-29  Brian Lindholm
	* imageutils/Makefile.in:  Add missing dependencies for
	libpngrewrite.h.

	* littleutils/frenum.c, filedate.c, randomize.c, repeats/rep_cmp.c,
	rep_hard.c:  Typecast and delete unused variables to silence compiler
	warnings.

	* imageutils/jpgcom.c:  Resync with version from jpegsrc.v9.  This
	time formatting was preserved more closely, to facilitate identifying
	changes in future upstream releases.

	* imageutils/libpngrecolor.*, imageutils/pngrecolor.*:  Resync with
	versions from libpngrewrite-1.40.  Preserve formatting more closely
	than in previous releases, to facilitate change identification in
	future pngrewrite releases.

	* autoconfig/config.guess, autoconfig/config.sub, autoconfig/missing:
	Update to versions from automake-1.14.1.

2013-12-20  Brian Lindholm:
	* extra/pren.1:  Mention alternate prename utility.

	* scripts/lcuc.1.in:  Mention alternate convmv utility.

2013-12-17  Brian Lindholm:
	* littleutils/md5.*, littleutils/sha*.*, littleutils/u64.h:  Resync
	with versions from coreutils-8.22.  Preserve formatting more closely,
	to facilitate identifying changes in future upstream releases.

	* littleutils/filedate.1, filemode.1, filemode.1, filenode.1,
	fileown.1, filesize.1, lrealpath.1, randomize.1:  Fix grammar errors
	in manpages.

2013-12-15  Brian Lindholm
	* repeats/repeats.1:  Fix a couple of manpage typos.

2013-12-08  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.31.

version 1.0.30:

2013-11-13  Brian Lindholm:
	* scripts/to-lzip.in:  Duplicate D. Gloger enhancements for .lz files
	as well.

2013-11-13  D. Gloger:
	* scripts/to-xz.in:  Add capability to convert .lzma files to .xz,
	based on an exceptionally clean patch from SourceForge user "dgloger".

2013-09-07  Brian Lindholm:
	* extra/*.in, scripts/*.in: Rework logic flow and tweak comments for
	reduced indentation levels and improved code readability.

	* extra/opt-pdf.*:  Add -b option for backups.

	* FAQ:  Tweak language in last question of FAQ.

2013-09-04  Brian Lindholm
	* extra/opt-pdf.*:  Change -d option to -v for improved consistency
	with other command-line options in littleutils.  Add additional notes
	to manpage.

2013-08-30  Brian Lindholm
	* extra/opt-pdf.1:  Add additional notes.

2013-08-06  Brian Lindholm
	* extra/opt-pdf.*, autoconf/configure.ac, README:  New littleutil
	opt-pdf, which runs existing PDF files through Ghostscript for
	optimization purposes.

2013-06-26  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.30.

version 1.0.29:

2013-06-14  Brian Lindholm
	* autoconfig/config.guess:  Update to version from automake-1.13.4.

2013-06-09  Brian Lindholm
	* repeats/repeats.*:  Add a -v option for verbose output, suppressing
	diagnostic information otherwise.

2013-06-08  Brian Lindholm
	* repeats/repeats.*, repeats/rep_cmp.*:  Add cmp-based paranoia check
	to repeats utility.

2013-06-03  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.29.

version 1.0.28:

2013-05-31  Brian Lindholm
	* autoconfig/config.guess, autoconfig/config.sub, autoconfig/missing:
	Update to versions from automake-1.13.2.

	* imageutils/pngrecolor.c:  Include string.h to eliminate implicit
	declaration of function memset in libpng16.  Bug identified (and fix
	provided) by Lazy Kent.

2012-12-12  Brian Lindholm
	* extra/to-7zip.in, repeats/repeats.in, scripts/*.in:  Additional
	replacement of superfluous double-quotes with single-quotes.

2012-12-10  Brian Lindholm
	* imageutils/pngstrip.c:  Include zlib.h to facilitate compilation
	with libpng-1.5.x (bug confirmed by Lazy Kent on 2013-04-12).

	* autoconf/configure.ac:  Add check for zlib.h, along with replacing
	numerous superfluous double-quotes with single-quotes.

	* autoconf/configure.ac, README:  Bump package version to 1.0.28.

version 1.0.27:

2012-12-04  Brian Lindholm
	* */*.1:  Additional small grammar and formatting tweaks.

2012-11-19  Brian Lindholm
	* autoconf/configure.ac:  Add checks for dash in addition to bash.
	The dash shell will be used on most scripts for faster execution
	times.

	* */*.in:  Substitute "dash" for "bash" in all places except for
	scripts/lreplace.in and scripts/wipefree.in, where bash must still be
	used.

	* autoconf/config.guess, autoconf/config.sub, autoconf/install-sh,
	autoconf/missing, autoconf/mkinstalldirs:  Upgrade to versions from
	automake-1.12.5.

2012-11-11  Brian Lindholm
	* scripts/wipe-free.1, repeats/repeats.1:  Add notes about
	alternative utilities that perform similar functions.

	* scripts/wipe-free.in:  Remove a couple of bashisms.

2012-10-01  Brian Lindholm
	* scripts/to-lzip.in, scripts/to-lzma_alone.in, scripts/to-lzma.in,
	scripts/to-xz.in:  Fix formatting glitch with built-in help.

2012-06-27  Brian Lindholm
	* */*.1:  Various small grammar and formatting tweaks.

2012-06-23  Brian Lindholm
	* */Makefile.in:  Prefix all installation directories with $(DESTDIR)
	to facilitate future Debian package builds.

2012-06-22  Brian Lindholm
	* repeats/repeats.1:  Fix spelling error.

	* imageutils/jpgcom.*:  Fix old copyright dates to align with those
	found in imageutils/orig/rdjpgcom.c.

	* autoconf/configure.ac, README:  Bump package version to 1.0.27.

version 1.0.26:

2012-06-03  Brian Lindholm
	* autoconf/config.guess, autoconf/config.sub, autoconf/install-sh,
	autoconf/missing, autoconf/mkinstalldirs:  Upgrade to versions from
	automake-1.12.1.

	* autoconf/config_h.in, configure:  Rebuild with autoconf-2.69.

2012-02-13  Brian Lindholm
	* imageutils/imagsize.c:  When printing image sizes in "web" format,
	be sure to put quote marks around all field values in addition to the
	"alt" field.  Eliminate the "border" and "align" fields, since these
	are obsolete and rarely used.

2012-02-04  Brian Lindholm
	* imageutils/pngrecolor.c:  Change setjmp(png_ptr->jmpbuf) to
	setjmp(png_jmpbuf(png_ptr)) to silence a couple of LONG-standing
	compiler warnings.  This is apparently the more proper way to do
	things in libpng-1.4+.

2012-01-21  Brian Lindholm
	* autoconf/configure.ac, littleutils/filedate.c:  Add nanosecond
	timestamp support for systems and output formats that support it.

2012-01-18  Brian Lindholm
	* littleutils/filedate.c:  BUGFIX!!  Eliminate spurious printing of
	the "epoch date" for non-existent files.

2012-01-17  Brian Lindholm
	* littleutils/*.1, FAQ:  Add language providing better comparisons to
	coreutils.

	* littleutils/filenode.c:  Made filenode compatible with 64-bit inode
	numbers (discovered on Cygwin).

	* autoconf/configure.ac, README:  Bump package version to 1.0.26.

version 1.0.25:

2012-01-12  Brian Lindholm
	* littleutils/realpath.*, littleutils/Makefile.in, README:  Rename to
	"lrealpath" instead of just "realpath", to avoid a name collision
	issue with a new utility distributed with coreutils-8.15.  I guess
	those are the hazards of maintaining a second-tier package.  Oh, well.

2011-03-13  Brian Lindholm
	* scripts/to-*.*:  Add capability to handle .lzo (lzop) files, improve
	use of file utility output, and update manpages accordingly.

2011-03-11  Brian Lindholm
	* scripts/to-gzip.*, scripts/Makefile, autoconf/configure.ac, README:
	Add to-gzip utility.

2011-03-06  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.25.

version 1.0.24:

2011-03-06  Brian Lindholm
	* scripts/wipe-all.*, scripts/Makefile.in, NEWS, README:  Change word
	"partition" to "filesystem", as that's a more accurate description of
	what actually happens.

2011-02-26  Brian Lindholm
	* scripts/opt-gif.in:  Modify script to utilize -O3 option of newly
	released gifsicle 1.61 instead of -O2.

2011-02-12  Brian Lindholm
	* scripts/wipe-all.*:  Modify script to print elapsed time per file,
	as an improved way of observing progress.  Tweak manpage for
	additional clarity.

	* repeats.1:  Improve description.

2011-02-04  Brian Lindholm
	* littleutils/u64.h:  Resync with version from coreutils-8.10.

2011-01-24  Brian Lindholm
	* m4/lib-prefix.m4:  Update to serial 7 (from serial 6), taken from
	gettext-0.18.1.1.

2011-01-23  Brian Lindholm
	* scripts/opt*.1, scripts/recomp-jpg.1:  Tweak examples for parallel
	processing a little further.  Alter language describing arithmetic
	JPEG coding as well.

2011-01-20  Brian Lindholm
	* littleutils/md5.[ch], littleutils/sha*.[ch]:  Resync with versions
	from coreutils-8.9 (instead of the previous coreutils-6.9).  Memory
	handling was altered slightly, and the code now works in 32768-byte
	chunks instead of 4096.  This results in a nearly imperceptible 2%
	performance improvement, most of which is due to reduced utilization
	of system time.  Woo hoo!!

	* littleutils/tempname.c:  Resync with version from glibc-2.12.2
	instead of the previous glibc-2.6.1.  Only a few comments changed.
	No change to the actual code.

2011-01-19  Brian Lindholm
	* scripts/wipe-all.*:  Fix bug with incremental listing of zero files.
	Incorporate use of the tempname utility, so that execution in a
	publicly-writable directory would still be safe.

2011-01-18  Brian Lindholm
	* scripts/wipe-all.*, scripts/Makefile.in, NEWS, README:  New
	littleutil wipe-free, which overwrites all free space in a filesystem
	with zeros.

2011-01-12  Brian Lindholm
	* scripts/opt-jpg.in:  Rework script slightly to reduce use of
	temporary file space.

2011-01-08  Brian Lindholm
	* scripts/lreplace.*, scripts/notabs.*, scripts/notrail.*, TODO: Add
	-q and -v options for quiet and verbose output.  Default is now "in
	between", printing commentary only on changed files.  Remove
	associated entries from TODO file.

2011-01-07  Brian Lindholm
	* scripts/opt*.1, scripts/recomp-jpg.1:  Add examples that describe
	how to take advantage of parallel processing.

	* scripts/opt-jpg.*, scripts/recomp-jpg.*:  Update opt-jpg and
	recomp-jpg scripts to allow for trials that utilize arithmetic
	encoding for improved compression performance.

	* imageutils/imagsize.1:  Remove description of non-existent -q
	option and correct description of -v option.

2010-09-23  Brian Lindholm
	* autoconf/config.guess, autoconf/config.sub: Upgrade to versions from
	autoconf-2.68.

	* autoconf/config_h.in, configure:  Rebuild with autoconf-2.68.

2010-07-03  Brian Lindholm
	* autoconf/config.guess, autoconf/config.sub, autoconf/install.sh:
	Upgrade to versions from autoconf-2.66.

	* autoconf/config_h.in, configure:  Rebuild with autoconf-2.66.

2009-11-21  Brian Lindholm
	* autoconf/config_h.in, configure:  Rebuild with autoconf-2.65.

	* autoconf/config.guess, autoconf/config.sub:  Upgrade to versions
	from autoconf-2.65.

2009-11-11  Brian Lindholm
	* autoconf/configure.ac, README:  Bump package version to 1.0.24.

version 1.0.23:

2009-11-07  Brian Lindholm
	* m4/lib-prefix.m4, autoconf/configure.ac, repeats/Makefile.in: Add
	use of AC_LIB_PREPARE_MULTILIB macro to handle 32-bit vs. 64-bit
	downstream packaging efforts more gracefully, per request by Kyrill
	Detinov of openSUSE.

	* autoconf/configure.ac, README:  Bump package version to 1.0.23.
	Also rename configure.in to configure.ac for better compliance with
	current packaging practices.

version 1.0.22:

2009-10-27  Brian Lindholm
	* */*.1:  Add missing -h(elp) descriptions to various manpages.

	* repeats/repeats.1:  Slight tweaks to option descriptions.

	* scripts/opt-jpg.*:  Add -m option to control whether comments and
	other extra markers are copied with the JPEG files.  This option was
	inspired by (but copied no code from) the --strip-* options in Timo
	Kokkonen's jpegoptim utility.

2009-08-08  Brian Lindholm
	* littleutils/fileown.*, README:  New utility for querying user and
	group names.

	* littleutils/tempname.*:  BUGFIX!!  Fix option-parsing logic that
	disabled functionality of -c option.

2009-07-27  Brian Lindholm
	* autoconf/config_h.in, configure:  Rebuild with autoconf-2.64.

2009-04-27  Brian Lindholm
	* extra/to-7zip.in:  BUGFIX!!  Fix PPMd vs. LZMA typo when
	re-compressing bzip2 files.

2009-04-20  Antonio Diaz
	* scripts/to-lzip.in:  Patch from Antonio Diaz to replace several
	instances of "XZ" with "LZIP" for improved clarity.  Functionality is
	unchanged.

2009-04-17  Brian Lindholm
	* autoconf/configure.in, README:  Bump package version to 1.0.22.

version 1.0.21:

2009-04-11  Brian Lindholm
	* README:  Final tweak.

2009-04-10  Brian Lindholm
	* scripts/to-lzip*, scripts/Makefile.in, autoconf/configure.in:  Bug
	fixes in new to-lzip (renamed from to-lz) script.

2009-04-06  Brian Lindholm
	* scripts/to-lz*, scripts/Makefile.in, autoconf/configure.in, README:
	New utility for converting files to .lz format.

	* scripts/to-xz*:  Bug fixes.

2009-03-31  Brian Lindholm
	* scripts/to-lzma*:  Remove functionality for converting from .7z to
	.lzma.  This was always fairly pointless, as the two compression
	programs produce files of essentially the same size.

	* scripts/to-xz*, scripts/Makefile.in, autoconf/configure.in, README:
	New utility for converting files to .xz format.

2008-09-10  Brian Lindholm
	* configure, autoconf/config_h.in:  Regenerate using autoconf-2.63.

	* autoconf/config.guess, autoconf/config.sub, autoconf/install-sh,
	autoconf/missing:  Update to 2008-04-14, 2008-09-08, 2006-12-25.00,
	and 2006-05-10.23 versions from autoconf-2.63 tarball.

2008-04-08  Brian Lindholm
	* autoconf/configure.in, README:  Bump package version to 1.0.21.

version 1.0.20:

2008-03-17  Brian Lindholm
	* scripts/opt-png.in:  BUGFIX!  From SourceForge bug #1907864, fix
	error messages describing pngstrip and pngcrush errors.

	* imageutils/pngstrip.*:  BUGFIX!!  From SourceForge bug #1907864, fix
	logic that handles tRNS chucks to avoid accidental deletion.

2008-03-11  Brian Lindholm
	* littleutils/filedate.c:  BUGFIX!!  Add missing period before seconds
	output for -t option.  This actually makes the "touch-compatible"
	output compatible with the -t option of touch.

	* scripts/opt-jpg.in:  Fix incorrect script names in top-level
	comments.

2008-02-23  Brian Lindholm
	* extra/pren.in:  Tweak filename vs. path regex to improve robustness.

	* autoconf/configure.in, extra/to-7zip.in:  Update logic to search
	for 7zr, 7za, and 7z (in that order) as a core for the to-7zip script.

	* autoconf/config.guess, autoconf/config.sub:  Update to 2008-01-23
	and 2008-01-16 versions from GNU Savannah server, respectively.

	* littleutils/memchurn.*:  Remove memchurn utility entirely.  This
	particular utility was always on the weak side.  Anyone looking to do
	real memory testing should *really* be using memtest86 or memtest86+
	instead.

2008-02-06  Brian Lindholm
	* scripts/recomp-jpg.in, scripts/to-bzip.in, scripts/to-lzma*.in,
	extra/to-7zip.in:  Fix incorrect script names in top-level comments.

	* autoconf/configure.in, README:  Bump package version to 1.0.20.

version 1.0.19:

2008-02-02  Brian Lindholm
	* repeats/repeats.in:  BUGFIX!!  During the 1.0.18 rework of repeats,
	temporary file deletion was temporarily disabled, and I forgot to
	re-enable it before releasing 1.0.18.  Fix this.

	* scripts/Makefile.in, scripts/to-lzma*.in:  Logic for handling lzma
	vs. lzma_alone was incomplete.  Also, Ville Koskinen's lzma utility
	(part of LZMA Utils) is suddenly making inroads into the free software
	world.  I've spotted lzma-compressed tarballs of coreutils and libpng,
	and I expect to see more in the future.  [This is most excellent
	news.]  However, Ville Koskinen's lzma utility uses gzip-style options
	(such as "lzma -c -d"), while the "lzma" utility from Igor Pavlov's
	LZMA SDK uses 7zip-style options (such as "lzma e -d23").  Several
	distributions have renamed Igor Pavlov's lzma utility as lzma_alone,
	so I now utilize that naming scheme and command-line option scheme for
	to-lzma.  Only one of the two utilities will be used for to-lzma, with
	lzma_alone being selected preferentially.

	* */*.1:  In manpage header blocks, use all-caps for utility name and
	add "littleutils" as package name, for consistency with most other
	manpages out there.  Also add section numbers to all "SEE ALSO"
	information.

	* autoconf/configure.in, README:  Bump package version to 1.0.19.

version 1.0.18:

2008-01-23  Brian Lindholm
	* littleutils/tempname.1:  Update manpage to mention new mktemp
	utility included with coreutils-6.10.

2008-01-14  Renuk de Silva
	* littleutils/frenum.*:  Add more options and updated manpage further.
	Delete original frenum.man.

2008-01-09  Brian Lindholm
	* littleutils/u64.h:  Change header file includes to fix portability
	issue on Solaris.

	* autoconf/configure.in, littleutils/frenum.c:  Add checks for gettext
	(and possibly -lintl) for better portability on Cygwin.  Strengthened
	getopt logic also.  It turns out that getopt include handling had been
	working incorrectly for a long time.  I'm honestly quite surprised that
	there have been no trouble reports associated with this.

2008-01-08  Brian Lindholm
	* littleutils/frenum.1:  Create nroff version of Renuk's manpage, to
	be more consistent with manpages of other littleutils.

	* littleutils/Makefile.in:  Add support for frenum utility and
	manpage.

	* README:  Add frenum to list of utilities.

2008-01-07  Renuk de Silva
	* littleutils/frenum.c, littleutils/orig/frenum.man:  New utility
	donate by Renuk de Silva, along with manpage information.

2008-01-01  Brian Lindholm
	* autoconf/config.guess, autoconf/config.sub:  Update to 2007-12-12
	and 2007-12-05 versions from GNU Savannah server, respectively.

2007-12-22  Brian Lindholm
	* littleutils/filehash.*, littleutils/sha256.*, littleutils/sha512.*,
	littleutils/u64.h:  Substantially rework filehash utility, allowing it
	to print any of the MD5, SHA1, SHA224, SHA256, SHA384, and/or SHA512
	algorithms.  These are selected using the -1, -2, -3, -4, -5, and -6
	options, respectively.  Printing filesizes is now optional with the -s
	option.  The -q and -v options can be used to enforce or suppress
	filename printing, in the same manner as most of the other utilities
	in the littleutils subdirectory.

	* repeats/repeats.*, repeats/rep_hash.c:  Add the -a option to allow
	the selection of different hash algorithms (as implemented in the
	updated filehash utility).  Only one hash will be active at a time, as
	opposed to the dual MD5 and SHA1 hashes used in earlier versions.  The
	default algorithm is now the SHA256 algorithm.  The manpage describes
	the probability of a false positive as a function of the hash
	algorithm that is used.

2007-08-16  Brian Lindholm
	* autoconf/configure.in, README:  Bump package version to 1.0.18.

	* NEWS:  Clean up some grammatical typos from 1.0.17 release.

	* FAQ:  Clarify some language on FAQ #3 slightly.

version 1.0.17:

2007-08-16  Brian Lindholm
	* littleutils/realpath.*:  Remove -q option and made program always
	default to quiet.  Verbose provides annoyingly too much information
	and should only be used if explicitly requested.

	* littleutils/randomize.1:  Add note about shuf (part of GNU
	coreutils), which offers very similar functionality.

2007-08-13  Brian Lindholm
	* autoconf/configure.in, configure:  Add logic to check for GNU Make
	and warn if it is not in use.

2007-08-09  Brian Lindholm
	* autoconf/config.guess, autoconf/config.sub:  Update to 2007-07-22
	and 2007-06-28 versions from GNU Savannah server, respectively.

2007-08-08  Brian Lindholm
	* LICENSES, plus many others:  Switch from GPL 2 to GPL 3.

2007-06-10  Brian Lindholm
	* README:  Add a note about GNU make being required.

2007-02-04  Brian Lindholm
	* autoconf/configure.in, configure, scripts/to-lzma.*:  Add logic to
	look for lzma_alone first before searching for lzma (for purposes of
	the to-lzma script).  [Debian's "etch" contains a gzip-like variant of
	lzma that is incompatible with to-lzma.  Their lzma_alone works
	instead.]  Clean up several variable names in configure.in as well.

	* scripts/recomp-jpg.in:  Call just plain "perl" instead of
	path-specific perl.  There's no need for an explicit path.

2007-01-12  Brian Lindholm
	* autoconf/install-sh, autoconf/mkinstalldirs:  Update to latest
	versions from automake-1.10.

version 1.0.16:

2006-11-18  Brian Lindholm
	* configure:  Regenerate using autoconf-2.61.  It got smaller.

2006-10-17  Brian Lindholm
	* extra/to-7zip.in, extra/to-7zip.1:  User Rus V. Brushkoff pointed
	out that the PPMd compression often does better than standard LZMA
	compression in 7za, especially for text files.  Update the script to
	try both schemes and use whichever one works best.

	* BUGS:  Let people know that suggestions are welcome in addition to
	bug reports and patches.

2006-10-16  Brian Lindholm
	* littleutils/tempname.c, littleutils/tempname.1:  Eliminate several
	superfluous NULL assignments.  Add additional logic so that the -s
	option could be used with the -c option.  This essentially meant
	reimplementing mktemp functionality.  Update manpage accordingly.

	* extra/to-7zip.in, extra/to-7zip.1:  The improved tempname utility
	made the ugly tempfile logic somewhat less ugly.  It's still not
	totally secure in a world-writable directory environment, but it's a
	little better than it was before.

version 1.0.15a:

2006-10-15  Brian Lindholm
	* extra/to-7zip.in:  Add fix for to-lzma temporary file creation.
	Special thanks to Rus V. Brushkoff for the error report and a
	preliminary version of the patch.

version 1.0.15:

2006-10-12  Brian Lindholm
	* littleutils/md5.h, littleutils/sha1.h:  Add back in conditionals
	concerning <inttypes.h> and <stdint.h>.  These used to exist in
	coreutils-5.97 and were removed in coreutils-6.3.  They appear to be
	necessary for Solaris builds.

	* littleutils/Makefile.in:  Add missing logic to properly rebuild
	md5.o and sha1.o when md5.h and sha1.h are modified, respectively.

	* scripts/Makefile.in:  Manpage for new recomp-jpg was not properly
	installed.  Now fixed.

version 1.0.14:

2006-10-09  Brian Lindholm
	* autoconf/config.sub:  Update to 2006-09-20 version from GNU
	Savannah server.

2006-10-06  Brian Lindholm
	* littleutils/filenode.*: Remove -s option entirely.  It was an ugly
	hack intended to serve the repeats utility.  Also quit printing inode
	number in hex.

	* repeats/repeats.in: Rework utility to stop using hacked filenode
	command and to use new rep_hard sub-utility instead.  Eliminates the
	risk of difference files on different devices that happen to have the
	same filesize and inode number as falsely being declared as repeats.

	* repeats/rep_hard.*: New sub-utility for the repeats command.  Much
	like the old hacked filenode utility, except that it prints device
	number too.

	* autoconf/install-sh, autoconf/mkinstalldirs: Update to latest
	versions from automake-1.9.6.

2006-10-05  Brian Lindholm
	* scripts/lreplace.*: Rework option handling to better identify when
	the -i or -o option is omitted, while still allowing a zero-length
	string to be used for output.

2006-10-02  Brian Lindholm
	* littleutils/md5.*, littleutils/sha1.*: Resync with recently
	released GNU coreutils 6.3.

2006-09-30  Brian Lindholm
	* autoconf/configure.in, README, scripts/Makefile.in,
	scripts/recomp-jpg.in: Add new littleutil recomp-jpg.

2006-09-08  Brian Lindholm
	* */Makefile.in:  Add datarootdir = @datarootdir@ to squelch spurious
	"seems to ignore the --datarootdir setting" warnings.  This causes
	manpages to be installed under /usr/local/share/man instead of
	/usr/local/man.

	* littleutils/filehash.c:  Fix errant use of "filesize" string in help
	message text.

2006-07-05  Brian Lindholm
	* autoconf/config.guess:  Update to 2006-07-02 version from GNU
	Savannah server.

2006-06-27  Brian Lindholm
	* configure:  Update using autoconf-2.60.

2006-06-14  Brian Lindholm
	* autoconf/configure.in, README:  Bump package version to 1.0.14.

version 1.0.13:

2006-06-08  Brian Lindholm
	* scripts/replace.*:  Rename to "lreplace" instead of just "replace"
	to avoid a name collision issue with the similarly-named MySQL
	command.  Special thanks to "crazy" of Frugalware for spotting this.

2006-06-06  Brian Lindholm
	* autoconf/config.guess, autoconf/config.sub:  Update to 2006-06-06
	versions from GNU Savannah server.

	* scripts/*.1:  Add examples to numerous man pages.

2006-05-16  Brian Lindholm
	* autoconf/configure.in, README:  Bump package version to 1.0.13.

version 1.0.12:

2006-05-08  Brian Lindholm
	* FAQ:  Add an entry describing where the name "littleutils" came
	from.

2006-04-28  Brian Lindholm
	* autoconf/config.guess:  Update to 2006-04-26 version from GNU
	Savannah server.

	* scripts/to-lzma.in:  Explicitly add -eos flag to lzma command.  It
	was already enabled implicitly, so this isn't a particularly
	meaningful change.  Mainly for clarity.

2006-04-24  Brian Lindholm
	* imageutils/pngrecolor.1:  Fix a punctuation typo.

2006-04-17  Brian Lindholm
	* littleutils/filehash.1:  Remove spurious description of verbose vs.
	quiet behavior.  There are no such options with the filehash utility.

2006-04-05  Brian Lindholm
	* README:  Add notes describing where various ancillary tools can be
	found on the Internet.

2006-03-23  Brian Lindholm
	* autoconf/configure.in, README:  Bump package version to 1.0.12.

version 1.0.11:

2006-03-22  Brian Lindholm
	* extra/to-7zip.in, scripts/to-bzip.in, scripts/to-lzma.in:  Add logic
	such that permissions of new file will match that of original file.

2005-03-21  Brian Lindholm
	* BUGS:  Provide information on where to report bugs.

2006-03-13  Brian Lindholm
	* autoconf/config.guess:  Update to 2006-03-13 version from GNU
	Savannah server.

2006-03-08  Brian Lindholm
	* extra/to-7zip.in, scripts/to-bzip.in, scripts/to-lzma.in:  Add -k
	option to keep whichever version of the compressed file is smallest.

2006-03-07  Brian Lindholm
	* scripts/to-lzma.*, scripts/Makefile.in, README:  Add new to-lzma
	utility, which is very similar to the to-7zip utility.

	* autoconf/configure.in:  Add checks for lzma to support new to-lzma
	utility.  Also corrected bad check for presence of file utility.

	* autoconf/config.sub:  Update to 2006-03-07 version from GNU
	Savannah server.

2006-02-23  Brian Lindholm
	* autoconf/configure.in, README:  Bump package version to 1.0.11.

version 1.0.10:

2006-02-22 Brian Lindholm
	* scripts/to-bzip.*, extra/to-7zip.*, autoconf/configure.in, README,
	extra/README:  Add to-bzip and to-7zip compression converters.
	These were inspired by (but borrow no code from) David Bechtel's rezip
	utility featured in issue #123 (February 2006) of the Linux Gazette.

	* littleutils/tempname.*:  The -c and -s options are mutually
	exclusive due to mktemp functionality.  Enforce it and explain in the
	manpage accordingly.

	* scripts/Makefile.in:  Fix glitch where a direct "make install"
	without a preceding "make" would fail to generate manpages for
	lowercase and uppercase.

2006-02-17 Brian Lindholm
	* scripts/opt-png.1:  Add notes about preferability of running
	pngcrush 1.6.x instead of pngcrush 1.5.10.

	* imageutils/pngrecolor.c:  When running in quiet mode (-q switch), do
	not print out the warning about "more than 256 colors". Makes opt-png
	run quieter.

2006-02-06  Brian Lindholm
	* autoconf/config.guess:  Update to 2006-01-30 version from GNU
	Savannah server.

2006-01-03  Brian Lindholm
	* autoconf/config.sub:  Update to 2006-01-02 version from GNU Savannah
	server.

2005-12-20  Brian Lindholm
	* autoconf/configure.in, README:  Bump package version to 1.0.10.

version 1.0.9:

2005-12-02  Brian Lindholm
	* repeats/repeats.1:  Add warning about different files possibly being
	listed as duplicates.  It's possible, but extraordinarily unlikely.

2005-11-30  Brian Lindholm
	* imageutils/:  Rename to imageutils/.

	* */*.1*:  Formatting cleanups in all manpages.

2005-11-29  Brian Lindholm
	* README:  Add missing descriptions for memchurn and replace.
	Rearranged slightly.

	* littleutils/tempname.1:  Tweak manpage to better describe situation
	with Debian "tempfile" utility.

	* littleutils/memchurn.1:  Remove language concerning options that do
	not exist.

	* littleutils/filenode.c:  Fix compilation issue on Linux.

2005-11-28  Brian Lindholm
	* extra/pren.in, scripts/lcuc.in:  Improve diagnostic messages
	when user lacks needed permissions.

2005-11-27  Brian Lindholm
	* extra/pren.in:  Fix a couple of typos in diagnostic messages.

2005-11-22  Brian Lindholm
	* littleutils/filenode.*, repeats/repeats.*, repeats/Makefile.in,
	repeats/rep_node.*:  Rework repeats such that it skips duplicates
	which are actually hardlinks.

2005-11-21  Brian Lindholm
	* autoconf/config.guess, autoconf/config.sub: Update to 2005-11-11 and
	2005-11-13 versions from GNU Savannah server, respectively.

2005-11-05  Brian Lindholm
	* autoconf/configure.in, README:  Bump package version to 1.0.9.

version 1.0.8:

2005-11-05  Brian Lindholm
	* extra/pren.in.1, scripts/lcuc.in.1:  Add some comments about how
	these utilities handle symbolic links and how renames in directory
	hierarchies should be handled.

2005-11-04  Brian Lindholm
	* extra/pren.in, scripts/lcuc.in:  BUGFIX!!  The security checks I
	added for Unix resulted in the inability to rename directories in
	Unix.  Now correct.

	* autoconf/configure.in, README:  Bump package version to 1.0.8.

version 1.0.7:

2005-11-03  Brian Lindholm
	* LICENSES:  Remove references to LGPL, since md5 and sha1 code
	borrowed from coreutils-5.92 is GPL-licensed, unlike earlier versions
	which were LGPL-licensed.

	* scripts/replace.in:  BUGFIX!!  The "-d" option in replace was
	accidentally disabled.  Now fixed.

2005-11-02  Brian Lindholm
	* extra/pren.in, extra/Makefile.in, extra/README,
	autoconf/configure.in, Makefile.in, README:  NEW littleutil!  Utility
	pren (perl rename) can be used to rename files using Perl regular
	expressions.  Note that this one isn't installed by default.  It
	requires a "make install-extra".

	* various:  Add proper copyright statements to perl and bash scripts.
	Update address for FSF in pointers to GPL.

2005-10-31  Brian Lindholm
	* scripts/lcuc.in, scripts/Makefile.in:  NEW littleutils!  Utilities
	lowercase and uppercase can be used to change case of filenames.

2005-10-24  Brian Lindholm
	* littleutils/md5.*, littleutils/sha1.*:  Resync with upstream
	versions from coreutils-5.92.  Should improve portability slightly.

2005-10-17  Brian Lindholm
	* autoconf/configure.in:  Bump package version to 1.0.7.

version 1.0.6:

2005-10-11  Brian Lindholm
	* various:  Add littleutils version number to most programs and
	scripts such that they will identify the version number when help
	information is requested.

	* scripts/notabs.*, scripts/notrail.*:  Add a minimal help option.

2005-10-10  Brian Lindholm
	* littleutils/randomize.c:  BUGFIX!!  Memory allocation code for
	standard input was goofed up, often causing out-of-memory errors when
	stdin was used.  Now fixed.

	* repeats/repeats.in:  Remove executable flag, as this file actually
	isn't executable.

2005-10-04  Brian Lindholm
	* scripts/opt-gif.1:  All of Unisys' LZW patents have expired at this
	point in time, so remove the warning.  You're *still* better off
	converting to PNG.

2005-09-19  Brian Lindholm
	* autoconf/config.guess:  Update to 2005-09-19 version from GNU
	Savannah server.

version 1.0.5:

2005-07-04  Brian Lindholm
	* scripts/opt-gjpg*, scripts/opt-jpg*, scripts/gray-png*,
	scripts/opt-png, README, autoconf/configure.in:  Remove opt-gjpg and
	gray-png, add -g flags to opt-jpg and opt-png to compensate.

	* imageutils/pngstrip.*:  BUGFIX!  Previously, the -g option would not
	convert palette-based PNG images to grayscale.  Now fixed.

	* autoconf/config.sub:  Update to 2005-07-01 version.

2005-06-30  Brian Lindholm

	* littleutils/randomize.c:  BUGFIX!!  Remove extraneous code and fix
	option-parsing glitch that prevented -0/-z option from working.
	Rework memory allocation on stdin input slightly.

	* littleutils/memchurn.c:  When the utility runs out of memory now, it
	will simply stop allocating (and proceed with what it has) instead of
	aborting completely.

2005-06-23  Brian Lindholm
	* imageutils/orig/README:  Add this file to better give credit for
	outside code I incorporated into the littleutils.

	* LICENSES, imageutils/imagsize, imageutils/jpgcom:  Reorganize
	copyright statements slightly.

version 1.0.4:

2005-06-21  Brian Lindholm
	* littleutils/randomize.c:  Rework random seed for better randomness
	in two-line files.  Improve handling of zero-sized inputs.  Fix issue
	with excessive memory allocation on standard input.

	* scripts/gray-png.in, scripts/notabs.in, scripts/notrail.in,
	scripts/opt-gif.in, scripts/opt-gjpg.in, scripts/opt-jpg.in,
	scripts/opt-png.in, scripts/replace.in:  Change messages about
	non-regular files from "error" to "warning".

	* various files:  Replace all references to "miniutils" with
	"littleutils".  Apparently between 1.0.0 and 1.0.1 I toyed with the
	idea of using the name miniutils before settling on littleutils.  Left
	a couple of references behind and didn't catch it until today.
	<sigh...>  Where's that brown paper bag?

2005-06-18  Brian Lindholm

	* littleutils/randomize.c, littleutils/randomize.1:  Massively rework
	to allow for arbitrary length lines and multiple input files.  It
	previously had a 1024-character line length limit.  It is also now
	much more efficient with memory.

2005-06-02  Brian Lindholm
	* autoconf/config.guess, autoconf/config.sub:  Update to latest
	version (from 2005-06-02).

version 1.0.3:

2005-01-03  Brian Lindholm
	* imageutils/imagsize.c, littleutils/filehash.c, littleutils/filesize.c:
	Rework largefile support.

	* littleutils/filehash.c, littleutils/md5.c, littleutils/md5.h,
	littleutils/sha1.c, littleutils/sha1.h:  Change a few variable-type
	definitions to improve largefile support and replace broken fseek on
	Cygwin with fseeko.

2005-01-02  Brian Lindholm
	* repeats/repeats.in, scripts/gray-png.in, scripts/notabs.in,
	scripts/notrail.in, scripts/opt-gif.in, scripts/opt-gjpg.in,
	scripts/opt-jpg.in, scripts/opt-png.in, scripts/replace.in:  Rework
	trap handling for better cleanups on interrupt.

version 1.0.2:

2004-11-02  Brian Lindholm
	* scripts/replace.in:  Use only first character of sed delimiter.

2004-10-17  Brian Lindholm
	* repeats/repeats.in:  Restructure to eliminate redundant code.

2004-10-15  Brian Lindholm
	* littleutils/memchurn.c, littleutils/memchurn.1, scripts/Makefile.in:
	New littleutil called "memchurn".

2004-08-30  Brian Lindholm
	* autoconf/configure.in, scripts/opt-gif.in, scripts/opt-gif.1: Rework
	opt-gif to use gifsicle instead of the ugly combination of convert,
	gif2png, pngrecolor, etc.  Rework autoconf accordingly.

2004-08-17  Brian Lindholm
	* scripts/replace.in, scripts/replace.1:  Add option to set the sed
	delimiter.

version 1.0.1:

2004-07-28  Brian Lindholm
	* entire package:  Rename from miscutils to littleutils. The miscutils
	namespace was already pretty crowded.  Replace all occurrences of
	"miscutil" with "littleutil".

	* scripts/replace.in, scripts/replace.1, scripts/Makefile.in:  New
	littleutil called "replace".

	* scripts/notabs, scripts/notrail:  Improve code legibility by adding
	comments.

version 1.0.0:

2004-07-25  Brian Lindholm
	* entire package:  Initial public release of miscutils.
